Bug 982667 - [abrt] LuxRender-1.0-11.fc19: lux::Lambertian::F: Process /usr/bin/luxrender was killed by signal 11 (SIGSEGV)
[abrt] LuxRender-1.0-11.fc19: lux::Lambertian::F: Process /usr/bin/luxrender ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: LuxRender (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
abrt_hash:9741bf9ee18acad139596c97b8b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 10:15 EDT by kartochka22
Modified: 2015-02-17 11:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:01:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.90 KB, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: core_backtrace (452 bytes, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: dso_list (14.55 KB, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: environ (3.12 KB, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: maps (72.10 KB, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: open_fds (1018 bytes, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-07-09 10:15 EDT, kartochka22
no flags Details

  None (edit)
Description kartochka22 2013-07-09 10:15:18 EDT
Description of problem:
open simple low poly test scene, enable Lux addon, change renderer to "Luxrender", hit "Redner", got error about wrong path (seems default is windows with C:\blablabla), change it to /usr/bin, press "Render" again, it start do something, preparing data etc, then for a moment pop external Luxrender window and immediately disappear with abrt notification.

Version-Release number of selected component:
LuxRender-1.0-11.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/luxrender --logconsole /tmp/my_psorcube_Cycles_spectral_mlt_example_white_err.Scene.00001.lxs
crash_function: lux::Lambertian::F
executable:     /usr/bin/luxrender
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul  9 16:33:49 localhost abrt[11222]: Saved core dump of pid 11211 (/usr/bin/luxrender) to /var/tmp/abrt/ccpp-2013-07-09-16:33:49-11211 (153362432 bytes)

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 lux::Lambertian::F at /usr/src/debug/lux-a041e87b9732/core/reflection/bxdf/lambertian.cpp:33
 #1 lux::SingleBSDF::F at /usr/src/debug/lux-a041e87b9732/core/reflection/bsdf/singlebsdf.cpp:82
 #2 lux::BidirIntegrator::EvalPath at /usr/src/debug/lux-a041e87b9732/integrators/bidirectional.cpp:240
 #3 lux::BidirIntegrator::GetDirectLight at /usr/src/debug/lux-a041e87b9732/integrators/bidirectional.cpp:230
 #4 lux::BidirIntegrator::Li at /usr/src/debug/lux-a041e87b9732/integrators/bidirectional.cpp:561
 #5 lux::SamplerRenderer::RenderThread::RenderImpl at /usr/src/debug/lux-a041e87b9732/renderers/samplerrenderer.cpp:364
 #6 boost::(anonymous namespace)::thread_proxy at libs/thread/src/pthread/thread.cpp:165
Comment 1 kartochka22 2013-07-09 10:15:23 EDT
Created attachment 771042 [details]
File: backtrace
Comment 2 kartochka22 2013-07-09 10:15:27 EDT
Created attachment 771043 [details]
File: cgroup
Comment 3 kartochka22 2013-07-09 10:15:33 EDT
Created attachment 771044 [details]
File: core_backtrace
Comment 4 kartochka22 2013-07-09 10:15:38 EDT
Created attachment 771045 [details]
File: dso_list
Comment 5 kartochka22 2013-07-09 10:15:41 EDT
Created attachment 771046 [details]
File: environ
Comment 6 kartochka22 2013-07-09 10:15:45 EDT
Created attachment 771047 [details]
File: limits
Comment 7 kartochka22 2013-07-09 10:15:48 EDT
Created attachment 771048 [details]
File: maps
Comment 8 kartochka22 2013-07-09 10:15:52 EDT
Created attachment 771049 [details]
File: open_fds
Comment 9 kartochka22 2013-07-09 10:15:57 EDT
Created attachment 771050 [details]
File: proc_pid_status
Comment 10 kartochka22 2013-09-03 05:52:29 EDT
open very simple scene, enavle LUxrender addon, hit F12 to render

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /home/storm/../../usr/bin/luxrender --logconsole /tmp/my_cornellbox2.Scene.00001.lxs
crash_function: lux::Lambertian::F
executable:     /usr/bin/luxrender
kernel:         3.11.0-0.rc3.git2.2.fc20.x86_64
package:        LuxRender-1.0-12.fc19
reason:         Process /usr/bin/luxrender was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 11 laolux 2013-11-18 21:06:42 EST
Used LuxRender to Render the Blender default scene. Upon render the LuxRender window pops up and immeadiately closes again. Nothing is rendered.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/luxrender --logconsole /tmp/untitled.Scene.00001.lxs
crash_function: lux::Lambertian::F
executable:     /usr/bin/luxrender
kernel:         3.11.8-200.fc19.x86_64
package:        LuxRender-1.0-12.fc19
reason:         Process /usr/bin/luxrender was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 kartochka22 2013-11-20 03:52:06 EST
JFYI, it seems well known issue (more then 6 months ), reported in Lixrender forums,  related to recent Boost used in Fedora 19, not sure who blame exactly. In fact, Luxrender unisable at least on x86_64 all that time. Seems that Fedora user base shrinking a lot, as no one care.
Comment 13 Nicolas Chauvet (kwizart) 2013-11-20 05:19:27 EST
That been said, none forwarded the patch here.

I've attempted to update to 1.3.1 yesterday, but that's still need works.
I'm not sure to be able to work on this anytime soon.

If you want to help:
fedpkg clone LuxRender -a
Comment 14 Fedora End Of Life 2015-01-09 13:48:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 kartochka22 2015-01-09 16:57:40 EST
bug still exist in F21, https://bugzilla.redhat.com/show_bug.cgi?id=1165742
Comment 16 Fedora End Of Life 2015-02-17 11:01:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.